Bug 109017 - Kernel locks up on boot
Summary: Kernel locks up on boot
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-04 14:00 UTC by Justin M. Forbes
Modified: 2015-01-04 22:03 UTC (History)
1 user (show)

Fixed In Version: 2163
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-04 20:14:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Justin M. Forbes 2003-11-04 14:00:27 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030626

Description of problem:
kernel boots to:

Linux NET4.0 for Linux 2.4
Based upon Swansea University Computer Society NET3.039
Initializing RT netlink socket
Starting kswapd
VFS: Disk quotas vdquot_6.5.1
Journalled Block Device driver loaded
IA32 emulation $Id: sys_ia32.c,v 1.58 2003/05/09 17:21:17 ak Exp $
pty: 2048 Unix98 ptys configured
Serial driver version 5.05c (2001-07-08) with MANY_PORTS MULTIPORT
SHARE_IRQ SERIAL_PCI enabled
ttyS0 at 0x03f8 (irq = 4) is a 16550A
ttyS1 at 0x02f8 (irq = 3) is a 16550A
Real Time Clock Driver v1.10e
NET4: Frame Diverter 0.46
RAMDISK driver initialized: 16 RAM disks of 4096K size 1024 blocksize
Uniform Multi-Platform E-IDE driver Revision: 7.00beta4-2.4
ide: Assuming 33MHz system bus speed for PIO modes; override with
idebus=xx

Then locks hard.

Version-Release number of selected component (if applicable):
kernel-2.4.22-1.2116.nptl.x86_64

How reproducible:
Always

Steps to Reproduce:
1.install kernel
2.boot system
3.
    

Actual Results:  system hard locks

Expected Results:  system boots normally

Additional info:

This is in the middle of the IDE probe.  Out of curiosity, I tried
patching the NForce3 IDE for DMA and ATA133.  We lock basically the
same place with this patch:
NFORCE3: IDE controller at PCI slot 00:08.0
NFORCE3: chipset revision 165
NFORCE3: not 100% native mode: will probe irqs later
AMD_IDE: Bios didn't set cable bits corectly. Enabling workaround.
AMD_IDE: PCI device 10de:00d5 (nVidia Corporation) (rev a5) UDMA133
 controller on pci00:08.0
    ide0: BM-DMA at 0xf000-0xf007, BIOS settings: hda:DMA, hdb:DMA
    ide1: BM-DMA at 0xf008-0xf00f, BIOS settings: hdc:DMA, hdd:DMA

Comment 1 Justin M. Forbes 2004-01-05 05:38:21 UTC
After talking with mkj, recommend patch to add NF3 to ACPI blacklist,
AMD64 patches against FC1 kernel will move back into my priority list
once Test1 is out, and I will send this then.


Comment 2 Justin M. Forbes 2004-02-04 20:14:07 UTC
2163 and later have the disable IO_APIC work around in place for NF3,
and VIA.  acpi=off is no longer required, and no oops on boot.


Note You need to log in before you can comment on or make changes to this bug.